Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr
Class JcrNtLexicon

    java.lang.Object
      org.modeshape.jcr.JcrNtLexicon

    public class JcrNtLexicon

extends Object

Lexicon of names from the standard JCR "`http://www.jcp.org/jcr/nt/1.0`" namespace.

Nested Class Summary
`static class` | `JcrNtLexicon.Namespace`

Field Summary
`static Name` | `BASE`
`static Name` | `CHILD_NODE_DEFINITION`
`static Name` | `FILE`
`static Name` | `FOLDER`
`static Name` | `FROZEN_NODE`
`static Name` | `HIERARCHY_NODE`
`static Name` | `LINKED_FILE`
`static Name` | `NODE_TYPE`
`static Name` | `PROPERTY_DEFINITION`
`static Name` | `QUERY`
`static Name` | `RESOURCE`
`static Name` | `SHARE` The "nt:share" node type name only appears in a serialized XML document exported from a repository, and never appears in the actual repository content.
`static Name` | `UNSTRUCTURED`
`static Name` | `VERSION`
`static Name` | `VERSION_HISTORY`
`static Name` | `VERSION_LABELS`
`static Name` | `VERSIONED_CHILD`

Constructor Summary
`JcrNtLexicon()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### UNSTRUCTURED

    public static final Name UNSTRUCTURED

### FILE

    public static final Name FILE

### FOLDER

    public static final Name FOLDER

### RESOURCE

    public static final Name RESOURCE

### BASE

    public static final Name BASE

### NODE_TYPE

    public static final Name NODE_TYPE

### CHILD_NODE_DEFINITION

    public static final Name CHILD_NODE_DEFINITION

### PROPERTY_DEFINITION

    public static final Name PROPERTY_DEFINITION

### FROZEN_NODE

    public static final Name FROZEN_NODE

### HIERARCHY_NODE

    public static final Name HIERARCHY_NODE

### LINKED_FILE

    public static final Name LINKED_FILE

### QUERY

    public static final Name QUERY

### VERSION

    public static final Name VERSION

### VERSIONED_CHILD

    public static final Name VERSIONED_CHILD

### VERSION_HISTORY

    public static final Name VERSION_HISTORY

### VERSION_LABELS

    public static final Name VERSION_LABELS

### SHARE

    public static final Name SHARE

  The "nt:share" node type name only appears in a serialized XML document exported from a repository, and never appears in the actual repository content. Therefore, there is no actual "nt:share" node type. For details, see Sections 14.7 and 14.8 of the JCR 2.0 specification.

Constructor Detail

### JcrNtLexicon

    public JcrNtLexicon()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.